// -----------------------------------------------------------------------------------------------------------
//
//		FIRST SOLAR CARBON COUNTER
//
//		Controls:
//			Usage:
//				<div id="counter" name="default_tab" class="attribute1 [attribute2]" style="height:counter_height;">
//
//			Name:
//				default_tab			--- sets default tab provided integer, superceeds random attribute. Valid values are 1-4.
//			
//			Attributes:
//				random 				--- random serve slides
//				rotate 				--- auto rotate slides
//				no_tabs 				--- hide tabs
//				euro	 				--- use xxx.xxx,x number formatting
//			
//			Style:
//				counter_height		--- set counter height
//
//
//		Variables:

			var start_date = "11/10/2013";					// Start date of counter

			// Households Powered
			var homes_base = 3726862;						// Base value
			var homes_rate = 0.023132704;					// Rate/second
			var homes_dec = 1;								// Number of decimal points to show

			// Displaced C02
			var co2_base = 260172;							// Base value
			var co2_rate = 0.01203125;					// Rate/second
			var co2_dec = 2;									// Number of decimal points to show

			// Cars Removed
			var cars_base = 50.52056971;							// Base value
			var cars_rate = 0.276825039;					// Rate/second
			var cars_dec = 2;									// Number of decimal points to show

			// Trees Planted
			var trees_base = 785730.39487213;						// Base value
			var trees_rate = 0.049830695;					// Rate/second
			var trees_dec = 2;								// Number of decimal points to show

			// H2O
			var h2o_base = 13502122;							// Base value
			var h2o_rate = 0.083807937;					// Rate/second
			var h2o_dec = 1;									// Number of decimal points to show

			// Misc
			var speed = 1000;
			var speed_ = 1000*60*60*24;									// Counter speed (ms)
			var max_digits = 9;								// Number of digits displayed (might need to adjust 
			var rotate_s = 5000;								// Rotate speed (ms)
                        

//
// -----------------------------------------------------------------------------------------------------------

$(function(){
	// MAC FAT FONTS FIX
	if (navigator.userAgent.toLowerCase().indexOf('mac') != -1) $(".c_nums").css("font-weight","500");

	var start_time = new Date(start_date).getTime();
	var def_tab = ($("#counter").attr("name") && ($("#counter").attr("name")<5) && ($("#counter").attr("name")>0)) ? $("#counter").attr("name") : 1; 
	var is_random = (($("#counter.random").length == 0) || $("#counter").attr("name")) ? false : true;
	var is_rotate = ($("#counter.rotate").length == 0) ? false : true;
	var is_euro = ($("#counter.euro").length == 0) ? false : true;

	var homes_t = setInterval(function(){init_counter("homes",homes_base,homes_rate,homes_dec)},speed);
	var co2_t = setInterval(function(){init_counter("co2",co2_base,co2_rate,co2_dec)},speed);
	var cars_t = setInterval(function(){init_counter_1("cars",cars_base,cars_rate,cars_dec)},1000);
	var trees_t = setInterval(function(){init_counter("trees",trees_base,trees_rate,trees_dec)},speed);
	var h2o_t = setInterval(function(){init_counter("h2o",h2o_base,h2o_rate,h2o_dec)},speed);

	function init_counter(id,base,rate,dec)
	{
		var val = (is_euro) ? add_decimals((base+rate*(new Date().getTime()-start_time)/speed).toFixed(dec)) :  add_commas((base+rate*(new Date().getTime()-start_time)/speed).toFixed(dec));
		//$("#c_"+id+" .c_nums").html(val);
		$("#" + id + "_counter").html(val);

	}
       function init_counter_1(id,base,rate,dec)
	{
		var val = (is_euro) ? add_decimals((base+rate*(new Date().getTime()-start_time)/speed_).toFixed(dec)) :  add_commas((base+rate*(new Date().getTime()-start_time)/speed_).toFixed(dec));
		// var val = (base+rate*(new Date().getTime()-start_time)/speed_);
		//$("#c_"+id+" .c_nums").html(val);
		$("#" + id + "_counter").html(val);

	}
	function pad_zeros(num,dec)
	{
		var max = (dec > 0) ? max_digits+1 : max_digits;
		while(num.length < max) num = "0"+num;
		return(num);
	}

	function add_commas(num)
	{
		return num.toString().replace(/\B(?=(?:\d{3})+(?!\d))/g, ",");
	}

	function add_decimals(num)
	{
		return num.toString().replace(".",",").replace(/\B(?=(?:\d{3})+(?!\d))/g, ".");
	}


});